## org.apache.batik.bridge.svg12
Class DefaultXBLManager.ImportRecord

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultXBLManager.ImportRecord

Enclosing class:
  DefaultXBLManager

    protected class DefaultXBLManager.ImportRecord

extends java.lang.Object

Record class for storing information about an XBL import.

Field Summary
`DefaultXBLManager.DefAttrListener` `defAttrListener` The DOM attribute mutation listener for definitions accessed through this import.
`DefaultXBLManager.DefNodeInsertedListener` `defNodeInsertedListener` The DOM node inserted listener for definitions accessed through this import.
`DefaultXBLManager.DefNodeRemovedListener` `defNodeRemovedListener` The DOM node removed listener for definitions accessed through this import.
`org.w3c.dom.Element` `importElement` The import element.
`DefaultXBLManager.ImportInsertedListener` `importInsertedListener` The DOM node inserted listener for the imported tree.
`DefaultXBLManager.ImportRemovedListener` `importRemovedListener` The DOM node removed listener for the imported tree.
`DefaultXBLManager.ImportSubtreeListener` `importSubtreeListener` The DOM subtree modified listener for the imported tree.
`org.w3c.dom.Node` `node` The imported tree.
`DefaultXBLManager.TemplateMutationListener` `templateMutationListener` The DOM subtree modified listener for templates of definitions accessed through this import.

Constructor Summary
`DefaultXBLManager.ImportRecord(org.w3c.dom.Element imp, org.w3c.dom.Node n)` Creates a new ImportRecord.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### importElement

    public org.w3c.dom.Element importElement

  The import element.

### node

    public org.w3c.dom.Node node

  The imported tree.

### defNodeInsertedListener

    public DefaultXBLManager.DefNodeInsertedListener defNodeInsertedListener

  The DOM node inserted listener for definitions accessed through this import.

### defNodeRemovedListener

    public DefaultXBLManager.DefNodeRemovedListener defNodeRemovedListener

  The DOM node removed listener for definitions accessed through this import.

### defAttrListener

    public DefaultXBLManager.DefAttrListener defAttrListener

  The DOM attribute mutation listener for definitions accessed through this import.

### importInsertedListener

    public DefaultXBLManager.ImportInsertedListener importInsertedListener

  The DOM node inserted listener for the imported tree.

### importRemovedListener

    public DefaultXBLManager.ImportRemovedListener importRemovedListener

  The DOM node removed listener for the imported tree.

### importSubtreeListener

    public DefaultXBLManager.ImportSubtreeListener importSubtreeListener

  The DOM subtree modified listener for the imported tree.

### templateMutationListener

    public DefaultXBLManager.TemplateMutationListener templateMutationListener

  The DOM subtree modified listener for templates of definitions accessed through this import.

Constructor Detail

### DefaultXBLManager.ImportRecord

    public DefaultXBLManager.ImportRecord(org.w3c.dom.Element imp,
                                          org.w3c.dom.Node n)

  Creates a new ImportRecord.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.